#!/bin/bash

# завершить выполнение, если некоторая команда, которая не является частью какого-либо теста (например, if [ ... ] или конструктора &&), возвращает ненулевой код
set -e

# скачать образ ubuntu server 20.04 с поддержкой cloud-init
echo Скачиваю образ Ubuntu Server 20.04 с поддержкой cloud-init
wget https://cloud-images.ubuntu.com/focal/current/focal-server-cloudimg-amd64.img

cloudimg=focal-server-cloudimg-amd64.img

# параметры вм
vm_id=200
vm_name="ubuntu-2004-cloudinit-template"
vm_memory=2048
vm_cores=2

# данные proxmox
px_storage=local-lvm
px_bridge=vmbr0

echo Создаю ВМ
qm create $vm_id --name $vm_name --memory $vm_memory --cores $vm_cores --net0 virtio,bridge=$px_bridge
qm importdisk $vm_id $cloudimg $px_storage
qm set $vm_id --scsihw virtio-scsi-pci --scsi0 $px_storage:vm-$vm_id-disk-0
qm set $vm_id --boot c --bootdisk scsi0
qm set $vm_id --ide2 $px_storage:cloudinit
qm set $vm_id --serial0 socket --vga serial0

echo Конвертирую ВМ в шаблон
qm template $vm_id

echo Удаляю ранее скачанный образ
rm focal-server-cloudimg-amd64.img

echo Готово
exit 0
